Commit 2ce40d45 authored by Alexandre Duret-Lutz's avatar Alexandre Duret-Lutz

First version of the Debian files.

parent bcc898c3
spins (1.0-1) unstable; urgency=low
* Initial release.
-- Alexandre Duret-Lutz <adl@lrde.epita.fr> Wed, 06 Jun 2016 15:51:10 +0100
Source: spins
Maintainer: Alexandre Duret-Lutz <adl@lrde.epita.fr>
Section: misc
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), javahelper
Package: spins
Architecture: all
Depends: ${misc:Depends}
Description: Promela model compiler
Compiles Promela models into shared libraries that can be dynamically loaded.
README.html
doc/LICENSE.txt
doc/CHANGES.txt
[buildpackage]
upstream-tag = %(version)s
builder = dpkg-buildpackage -i -I -uc -us
#!/usr/bin/make -f
DH_VERBOSE = 1
JAVA_HOME=/usr/lib/jvm/default-java
%:
dh $@ --with javahelper
override_dh_auto_build:
cd src && ant
spins.jar /usr/share/java/
spins /usr/bin/
#!/bin/sh
# Simple bash shell script to launch SpinS and generate a PINS binary
# for the LTSmin tool set.
JAR=/usr/share/java/spins.jar
promela_file=
no_compile=0
for option in ${1+"$@"}; do
case $option in
-I*) no_compile=1;;
-*);;
*) promela_file=$option;;
esac
done
if [ -z "$promela_file" ]; then
echo "usage: $0 [options] promela_file" 1>&2
exit 1
fi
promela_name=`basename $promela_file`
output_file="${promela_name}.spins.c"
rm -f "$output_file"
java -Xms120m -Xmx2048m -cp $JAR spins.Compile ${1+"$@"}
ERROR=$?
if [ $ERROR -ne 0 ]; then
echo "Compilation of $promela_file failed" 1>&2
exit $ERROR
fi
if [ $no_compile -eq 1 ]; then
echo"$promela_file succesfully compiled into $output_file" 1>&2
exit 0
fi
gcc -fPIC -shared -O2 -ggdb $CFLAGS $output_file -o $promela_name.spins
ERROR=$?
if [ $ERROR -ne 0 ]; then
echo "Compilation of $output_file failed" 1>&2
exit $ERROR
else
echo "Compiled C model to $promela_name.spins" 1>&2
exit 0
fi
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment